<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<body>

<h1>Opening a File or Sequence</h1>

<p>Imageviewer will show a single frame or a sequence of frames, which may be stored in one or more
files.</p>

<p>A raw YUV file may contain one or more frames. The pixel data for multiple frames is
concatenated to make one large binary file. There is no header information or formatting
to identify individual frames.</p>

<p>Imageviewer can use the file extension to identify the type of a file automatically, or
the Image->Image Format menu can be used to force the raw YUV file if required.</p>

<h2>Opening a sequence</h2>

<p>A sequence is opened by selecting a file or files with the "File->Open" menu item. 
Imageviewer will treat different types of selection in the file selector in different ways.</p>

<h3>Selecting a single file with a non numerical name</h3>

<p>Choosing a single file from the file selector which has a non-numerical name has the most
straightforward behaviour. Frames are displayed only from the single selected file.</p>

<h3>Selecting a single file with a numerical name</h3>

<p>Choosing a single file that has a numerical filename (00125.uyvy) will cause Imagevewier to
search for other filenames of the same extension, occuring after the selected file in the directory
listing sorted by name.</p>

<h3>Selecting multiple files</h3>

Choosing multiple files in the File Open dialog causes the sequence to contain frames
from all of the selected files.

<h2>Sequence Length</h2>

The length of the sequence is the sum of the number of frames contained in all the files in
the sequence.

The number of frames in a file is determined by dividing the file size by the expected frame
size, as set in the "Image->YCbCr Image Size" menu.

The image size setting can be changed after opening a sequence.

<h2>Sequence information</h2>

<p>The application status bar shows information about the sequence in the rightmost field.</p><br> 

<img src="images/sequence-status.png" width="715" height="49" border="0" alt="">

<p>The current filename is shown first, with the zero based frame number within that file appended in square brackets.
This is followed by the frame number within the whole sequence, and the sequence frame number bounds. Frame numbers within
a sequence start at zero, unless the file used to open the sequence has a numerical name, in which case the sequence starts
with the frame number of that file.</p>

<h2>Navigation within a sequence</h2>

<p>The position within a sequence can be changed using the 'N' and 'P' keys to advance to the next/previous frame in the
sequence.</p>

</body>
</html>